Subject: (urth) Reviews

From: John-Paul Wellcoat <john-paul.wellcoat at omgroup.com>
Date: Tue, 29 May 2001 16:44:53 +0000

Sorry to abuse the list like this but, could any of you point me in the
direction of a
comprehensive, quality book review site.
JP

*More Wolfe info & archive of this list at http://www.urth.net/urth/